{
  pkgs ? import <nixpkgs> { },
}:
with pkgs;

mkShell {
  buildInputs = [
    node-gyp
    redis
    bun
  ];

  shellHook = ''
        echo "
     __ __ ___ __ __  __   
    |  V  | __|  V  |/__\  
    | \_/ | _|| \_/ | \/ | 
    |_| |_|___|_| |_|\__/  
    "

    export BUN_INSTALL="$HOME/.bun"
    export PATH="$BUN_INSTALL/bin:$PATH"

    echo "Run 'bun install' for installing deps and 'redis-server --daemonize yes && bun run start' to start the servers"
  '';
}
